CWGraphInternal::ZoneZone Struct Reference

Internal: structure to store a link to a zone of a CWGraph. More...

Inheritance diagram for CWGraphInternal::ZoneZone:

## Public Member Functions

| ZoneZone (Zone const &z)
| constructor More...
virtual void | print (std::ostream &o) const
| print the zone More...
virtual Type | getType () const
| return the main type Zone More...
virtual Type | getSubType () const
| return the sub type Zone More...
virtual CWStruct::DSET::Child | getChild () const
| return a child corresponding to this zone More...
Public Member Functions inherited from CWGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
virtual int | getNumData () const
| return the number of data to define this zone in the file More...

## Public Attributes

int | m_id
| the zoneId More...
int | m_subId
| the zoneSubId: can be page/column/frame linked number More...
int | m_styleId
| the style id More...
int | m_wrappingSep
| the wraping separator More...
int | m_flags [9]
| flag More...
Public Attributes inherited from CWGraphInternal::Zone
int | m_page
| the page (checkme: or frame linked ) More...
Box2i | m_box
| the bdbox More...
Style | m_style
| the style More...

## Additional Inherited Members

Public Types inherited from CWGraphInternal::Zone
enum | Type { T_Zone, T_Basic, T_Picture, T_Chart, T_DataBox, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Pict, T_QTim, T_Movie, T_Bitmap }
| the list of types More...

## Detailed Description

Internal: structure to store a link to a zone of a CWGraph.

## Constructor & Destructor Documentation

CWGraphInternal::ZoneZone::ZoneZone | ( | Zone const & | z | ) |

inline

constructor

## Member Function Documentation

virtual CWStruct::DSET::Child CWGraphInternal::ZoneZone::getChild | ( |  | ) | const

inline virtual

return a child corresponding to this zone

Reimplemented from CWGraphInternal::Zone.

virtual Type CWGraphInternal::ZoneZone::getSubType | ( |  | ) | const

inline virtual

return the sub type Zone

Reimplemented from CWGraphInternal::Zone.

virtual Type CWGraphInternal::ZoneZone::getType | ( |  | ) | const

inline virtual

return the main type Zone

Reimplemented from CWGraphInternal::Zone.

virtual void CWGraphInternal::ZoneZone::print | ( | std::ostream & | o | ) | const

inline virtual

print the zone

Reimplemented from CWGraphInternal::Zone.

## Member Data Documentation

int CWGraphInternal::ZoneZone::m_flags[9]

flag

Referenced by print(), CWGraph::readGroupDef(), and ZoneZone().

int CWGraphInternal::ZoneZone::m_id

the zoneId

Referenced by getChild(), print(), CWGraph::readGroupDef(), CWGraph::sendZone(), and CWGraph::updateInformation().

int CWGraphInternal::ZoneZone::m_styleId

the style id

Referenced by print(), and CWGraph::readGroupDef().

int CWGraphInternal::ZoneZone::m_subId

the zoneSubId: can be page/column/frame linked number

Referenced by print(), CWGraph::readGroupDef(), CWGraph::sendZone(), and CWGraph::updateInformation().

int CWGraphInternal::ZoneZone::m_wrappingSep

the wraping separator

Referenced by print(), and CWGraph::readGroupDef().

The documentation for this struct was generated from the following file:

- CWGraph.cxx